import { Exception } from "queenjs";
import { EditorModule } from "..";
import { DesignTemp } from "../defines/DesignTemp";
import { editActions } from "./edit";

export const InputEventActions = EditorModule.action({
  // 模块初始化
  initInputEvent() {

      //lastFocusEvent

      window.addEventListener("mousemove", (event)=>{
           if ( !this.store.isEditMode ) return;
      })

      let dx = 0, dy=0, dt = 0;
      window.addEventListener("mousedown", (event)=>{
          console.log(event.clientX, event.clientY)
          dx = event.clientX;
          dy = event.clientY;
          dt = Date.now();
      })

      window.addEventListener("mouseup", (event)=>{
         const x = event.clientX - dx;
         const y = event.clientY - dy;
         const t = Date.now() - dt;
         if ( !this.store.isEditMode ) return;
         
         if (Math.abs(x) < 3 && Math.abs(y) < 3  && t < 300 ) {
           console.log("clicked");
         }
         
      })
  },
});
