import { Dict_Imgs } from "@/dict";
import { createAttrsForm } from "../../defines/createAttrsForm";
import { createCompHooks } from "../../defines/createCompHooks";
import { GroupNumber } from "../../formItems/GroupNumber";

export { Component } from "./component";

export const options = {
  name: "容器",
  thumbnail: Dict_Imgs.Default,
};

export const { createComp, useCompData } = createCompHooks({
  value: {
    position: [0, 0],
  },
  layout: {
    size: [200, 200],
  },
  children: {
    default: () => [] as string[],
  },
});

export const Form = createAttrsForm([
  {
    label: "坐标",
    dataIndex: "value.position",
    component: GroupNumber,
    props: {
      labels: ["X", "Y"],
    },
  },
]);
