import { defineComponent } from "vue";
import { string } from "vue-types";
import { useCompData } from ".";
import { View } from "../View";
import { useEditor } from "@/modules/editor";

export const Component = defineComponent({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { store, controls } = useEditor();
    const { value } = useCompData(props.compId);

    async function changeVal() {
      const url = await controls.pickCtrl.pickOneImage();
      if (!url) return;
      value.url = url;
    }

    return () => {
      const options: any = {};
      if (value.autoplay) options.autoplay = true;
      if (value.loop) options.loop = true;
      if (value.controls) options.controls = true;

      return (
        <View
          compId={props.compId}
          onDblclick={store.isEditMode ? changeVal : undefined}
        >
          <video
            class="w-full object-cover"
            src={value.url}
            style={{ aspectRatio: value.ratio }}
            {...options}
          />
        </View>
      );
    };
  },
});
