import { string } from "vue-types";
import { useCompData } from ".";
import { Image, Text } from "../../../basicUI";
import { createUIComp } from "../../../defines/createUIComp";

export const Component = createUIComp({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { children } = useCompData(props.compId);

    return () => (
      <div class="flex">
        <div class="flex-1">
          <Text.Component compId={children.text} />
        </div>
        <div class="w-2.5rem relative">
          <Image.Component
            compId={children.img1}
            class="w-1.67rem h-3.06rem object-cover"
          />
          <div class="absolute bottom-0 right-1rem">
            <Image.Component
              compId={children.img2}
              class="w-3.17rem h-2.4rem object-cover"
            />
          </div>
        </div>
      </div>
    );
  },
});
