import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createCompHooks } from "../../../defines/createCompHooks";
import { createCompId } from "../../../defines/createCompId";

export { Component } from "./component";

export const options = {
  name: "卡片",
  thumbnail: require("@/assets/comps/Card13/thumbnail.jpg"),
};

export const { createComp, useCompData } = createCompHooks({
  value: {},
  layout: {
    padding: "0.5rem 0",
  },
  children: {
    text: () =>
      createCompId("Text", {
        value: `<p ><span >两面开边珠，无漆皮光亮&nbsp;</span></p><p ><span >却比漆皮更耐用，不容易爆皮&nbsp;</span></p><p ><span >逛着干看起来更加高档&nbsp;</span></p><p ><span >丰富多彩的流行色水，增加无限魅力</span></p><p ><span >既有复古的韵味更有时下的潮流元素</span></p>`,
        layout: {
          textAlign: "center",
        },
      }),
    img1: () =>
      createCompId("Image", {
        value: {
          url: require("@/assets/comps/Card13/img_1.jpg"),
        },
      }),
    imgShoe: () =>
      createCompId("Text", {
        value: {
          url: require("@/assets/comps/Card13/img_shoe.jpg"),
        },
      }),
  },
});

export const Form = createAttrsForm([]);
