import { css } from "@linaria/core";
import { string } from "vue-types";
import { useCompData } from ".";
import { Image, Text } from "../../../basicUI";
import { createUIComp } from "../../../defines/createUIComp";

export const Component = createUIComp({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { children } = useCompData(props.compId);

    return () => (
      <div class={rootStyles}>
        <Text.Component compId={children.text} />
        <Image.Component
          compId={children.img1}
          class="w-1.67rem h-3.06rem object-cover"
        />
        <Image.Component
          compId={children.imgShoe}
          class="w-1.67rem h-3.06rem object-cover"
        />
      </div>
    );
  },
});

const rootStyles = css``;
