import { Dict_Imgs } from "@/dict";
import { watch } from "vue";
import { string } from "vue-types";

import { useEditor } from "../../../../..";
import { Image, Text } from "../../../basicUI";
import { createUIComp } from "../../../defines/createUIComp";
import { onChangeListTotal, useCompData } from ".";

export const Component = createUIComp({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { helper } = useEditor();
    const { value } = useCompData(props.compId);

    watch(
      () => [value.total],
      () => {
        onChangeListTotal(props.compId);
      }
    );

    return () => (
      <div
        class="grid"
        style={{
          gridTemplateColumns: `repeat(${value.columns}, 1fr)`,
          gridGap: helper.designToNaturalSize(value.gap),
        }}
      >
        {value.list.map((d:any, i:number) => (
          <div key={i}>
            <Image.Component
              style={{ height: helper.designToNaturalSize(value.imgHeight) }}
              compId={d.image.id} 
            />
            {value.showDesc && <Text.Component compId={d.text.id}  />}
          </div>
        ))}
      </div>
    );
  },
});
