import { Dict_Imgs } from "@/dict";


import { RegCompType } from "../../../defines/creator";
import * as Image2 from "../../../basicUI/Image2"

const {createCompData, useCompData} = RegCompType(
    {type: "CardList", name: "CardList", thumbnail: Dict_Imgs.Default},
    {
        value: {
            gap: 10,
            columns: 3,
            total: 3,
            imgHeight: 120,
            showDesc: true,
            list: Array.from({ length: 3 }, () => ({
                img:  Image2.createCompData({url: Dict_Imgs.Default}),
                desc: "描述",
            })),
        }
    })
    
const onChangeListTotal = function(compId:string) {
    //@ts-ignore
    const data = Ctrl.getCompData(compId)
    const { total, list } = data.value;
    const offset = total - list.length;
    if (offset > 0) {
      Array.from({ length: offset }, () => {
        list.push({ img: Image2.createCompData({url: Dict_Imgs.Default}), desc: "描述" });
      });
    } else {
      list.splice(total, offset * -1);
    }
    return {} as any;
}

export {createCompData, useCompData, onChangeListTotal}