import { InputNumber } from "ant-design-vue";
import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createCompHooks } from "../../../defines/createCompHooks";

export { Component } from "./component";

export const options = {
  name: "文字",
  thumbnail: require("./thumbnail.jpg"),
};

export const { createComp, useCompData } = createCompHooks({
  layout: { margin: "0.2rem 0.3rem", padding: " 0 0.2rem" },
  value: {
    gap: 20,
    columns: 5,
    width: 156,
    showBackground: true,
    list: [
      {
        label: "产品名称",
        content: "P190（注塑）",
      },
      {
        label: "产品规格",
        content: "52英寸",
      },
      {
        label: "产品厚度",
        content: "1.0mm+0.05mm",
      },
      {
        label: "产品底材",
        content: "产品底材",
      },
      {
        label: "产品用途",
        content: "凉鞋、跟鞋、高更鞋、时尚休闲鞋等",
      },
    ],
  },
});

export const Form = createAttrsForm([
  {
    label: "列表行数",
    dataIndex: "value.columns",
    component: InputNumber,
  },
  {
    label: "行间距",
    dataIndex: "value.gap",
    component: InputNumber,
  },
  {
    label: "标题宽度",
    dataIndex: "value.width",
    component: InputNumber,
  },
  {
    label: "标题背景色",
    dataIndex: "value.showBackground",
    component: "Switch",
    props: {
      size: "small",
    },
  },
]);
