import { DesignComp } from "@/modules/editor/defines/DesignTemp/DesignComp";
import { CompUI } from "..";

const cacheCompArr: DesignComp[] = [];

export function addCacheToMap(obj: Record<string, DesignComp>) {
  cacheCompArr.forEach((comp) => {
    obj[comp.id] = comp;
  });
  cacheCompArr.length = 0;
}

export function createCompId(
  compKey: keyof typeof CompUI,
  options?: any
): string {
  const comp = CompUI[compKey].createComp(
    Object.assign(options || {}, { compKey })
  );
  cacheCompArr.push(comp);
  return comp.id;
}
