import { defineUI } from "queenjs";
import { useEditor } from "../..";
import { CompUI } from "../CompUI";

export default defineUI({
  setup() {
    const { store } = useEditor();
    return () => (
      <div>
        {store.pageCompIds.map((id) => {
          const compKey = store.designData.compMap[id]?.compKey;
          const Comp: any = CompUI[compKey]?.Component;
          return Comp && <Comp key={id} compId={id} />;
        })}
      </div>
    );
  },
});
