import { useEditor } from "@/modules/editor";
import { DesignComp } from "@/modules/editor/defines/DesignTemp/DesignComp";
import { useReactive } from "@queenjs/use";
import { Tree } from "ant-design-vue";
import { defineComponent } from "vue";
import { CompUI } from "../../../CompUI";

export const CompTree = defineComponent({
  setup() {
    const { store, actions, helper } = useEditor();
    const state = useReactive(() => ({
      treeData() {
        const { pageCompIds } = store;
        const rootComp = helper.findRootComp();
        return [
          {
            key: rootComp?.id || "",
            title: "页面",
            children: pageCompIds.map((id) => {
              const comp = helper.findComp(id) as DesignComp;
              return {
                key: comp.id,
                title: CompUI[comp.compKey].options.name,
                value: comp.id,
              };
            }),
          },
        ];
      },
    }));
    return () => (
      <Tree
        treeData={state.treeData}
        selectedKeys={[store.currCompId]}
        onSelect={(ids) => actions.pickComp(ids[0] as string)}
      ></Tree>
    );
  },
});
