import { useEditor } from "@/modules/editor";
import { defineUI } from "queenjs";
import { h } from "vue";
import { CompUI } from "../../../CompUI";
import { createAttrsForm } from "../../../CompUI/defines/createAttrsForm";
import { CompTree } from "./CompTree";

export default defineUI({
  setup() {
    const editor = useEditor();

    return () => {
      const { currComp } = editor.store;

      return (
        <div class="flex flex-col h-1/1">
          <div class="p-16px border-bottom  !border-2px">设置栏</div>
          <div class="flex-1 p-16px scrollbar">
            {h(
              currComp?.compKey
                ? CompUI[currComp.compKey].Form
                : (createAttrsForm([]) as any),
              { component: currComp }
            )}
          </div>
          <div class="p-16px border-top border-bottom  !border-2px">组件树</div>
          <div class="h-300px py-20px scrollbar">
            <CompTree />
          </div>
        </div>
      );
    };
  },
});
