import { EditorModule } from "..";
import { DesignComp } from "../defines/DesignTemp/DesignComp";
import { Layout } from "../typings";

export const helpers = EditorModule.helper({
  designToNaturalSize(value: number) {
    return value / 100 + "rem";
  },
  findComp(compId: string) {
    const { compMap } = this.store.designData;
    const comp = compMap[compId];
    if (comp) return comp;
  },
  findParentComp(compId: string): DesignComp | undefined {
    const comp = this.helper.findComp(compId);
    const parentComp = Object.values(this.store.designData.compMap).find(
      (comp) => {
        const ids = this.helper.getCompChildIds(comp);
        return ids.includes(compId);
      }
    );
    return parentComp;
  },
  findRootComp(): DesignComp | undefined {
    return this.store.designData.compMap["root"];
  },
  getCompChildIds(comp: DesignComp) {
    function getIds(data: any, ids: string[] = []) {
      if (data instanceof Array) {
        data.forEach((item) => getIds(item, ids));
      } else if (data instanceof Object) {
        Object.values(data).forEach((item) => getIds(item, ids));
      } else if (typeof data === "string") {
        ids.push(data);
      }
      return ids;
    }
    return getIds(comp.children);
  },
  parseLayoutToStyle(layout: Layout): any {
    return layout;
  },
});
