import { initEditor } from "@/modules/editor";
import { initResource, useResource } from "@/modules/resource";
import { SelectOneImage } from "@/pages/website/Material2/modal";
import { queenApi } from "queenjs";
import { defineComponent } from "vue";

export default defineComponent(() => {
  const editor = initEditor();
  const resource = useResource();

  const params = new URLSearchParams(location.hash.split("?")[1]);
  editor.actions.initDesign(params.get("id") || "");

  editor.controls.pickCtrl.onPickImage = async (maxCount: number) => {
    if (maxCount <= 1) {
      const url = await SelectOneImage();

      return [url as string];
    }
    return [];
  };

  editor.controls.pickCtrl.onPickPack = async () => {
    return resource.treeController.selectOnePackScene();
  };

  return () => <editor.components.Viewport class="!h-100vh" />;
});
