import { initRemSize } from "@/hooks/initRemSize";
import { initEditor } from "@/modules/editor";
import { defineComponent } from "vue";

export const App = defineComponent(() => {
  const editor = initEditor();
  const params = new URLSearchParams(location.href.split("?")[1]);
  const id = params.get("id");

  editor.actions.switchMode("preview");
  initRemSize();

  if (id) {
    editor.actions.initDesign(id);
  }

  return () => <editor.components.Preview />;
});
